# 請求書カード払い事業者情報取得

`GET /v1/business_payments/business`

- operationId: `retrieveBusinessPaymentBusiness`
- tags: 請求書カード払い

請求書カード払い事業者情報を取得します。


## コードサンプル

### cURL

```bash
curl \
    -X GET \
    -H "Authorization:Bearer <Secret API Key>" \
    -H "Tenant-Buyer-Id: b_***********" \
'https://api.test.fincode.jp/v1/business_payments/business'
```

### Node.js

```javascript
const API_KEY = "<Secret API Key>";

(async () => {
    const response = await fetch("https://api.test.fincode.jp/v1/business_payments/business", {
        method: "GET",
        headers: {
            Authorization: `Bearer ${API_KEY}`,
            "Tenant-Buyer-Id": "b_***********",
        },
    });

    const data = await response.json();
    console.log(data);
})();
```

### Go

```go
package main

import (
    "fmt"
    "io"
    "net/http"
)

func main() {
    req, err := http.NewRequest(http.MethodGet, "https://api.test.fincode.jp/v1/business_payments/business", nil)
    if err != nil {
        panic(err)
    }

    req.Header.Set("Authorization", "Bearer <Secret API Key>")
    req.Header.Set("Tenant-Buyer-Id", "b_***********")

    resp, err := http.DefaultClient.Do(req)
    if err != nil {
        panic(err)
    }
    defer resp.Body.Close()

    body, err := io.ReadAll(resp.Body)
    if err != nil {
        panic(err)
    }

    fmt.Println(string(body))
}
```

### PHP

```php
<?php

$ch = curl_init('https://api.test.fincode.jp/v1/business_payments/business');
curl_setopt($ch, CURLOPT_HTTPHEADER, [
    'Authorization: Bearer <Secret API Key>',
    'Tenant-Buyer-Id: b_***********'
]);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);

$response = curl_exec($ch);
curl_close($ch);

echo $response;
```

### Python 3

```python
from urllib.request import Request, urlopen

request = Request(
    "https://api.test.fincode.jp/v1/business_payments/business",
    headers={
        "Authorization": "Bearer <Secret API Key>",
        'Tenant-Buyer-Id': 'b_***********'
    },
    method="GET",
)

with urlopen(request) as response:
    print(response.read().decode("utf-8"))
```

### Ruby

```ruby
require "net/http"
require "uri"

uri = URI.parse("https://api.test.fincode.jp/v1/business_payments/business")
request = Net::HTTP::Get.new(uri)
request["Authorization"] = "Bearer <Secret API Key>"
request["Tenant-Buyer-Id"] = "b_***********"

response = Net::HTTP.start(uri.host, uri.port, use_ssl: true) do |http|
  http.request(request)
end

puts response.body
```

## パラメータ

| 名前 | 位置 | 必須 | 型 | 説明 |
| --- | --- | --- | --- | --- |
| `Tenant-Buyer-Id` | header | ✓ | schema | <span class="smallText color--red-400">※ バイヤープラットフォームのみ指定可</span> |

## レスポンス

### 200 リクエストに成功

| パラメータ | 型 | 必須 | 説明 |
| --- | --- | --- | --- |
| `result` | enum(OK | NG) |  | 結果 |
| `commission_list` | array<object> |  |  |
| `mulpay_api_key` | string |  | マルペイキー |
| `mulpay_public_key_path` | string |  | マルペイ公開鍵のパス |

### 400 不正なリクエスト

| パラメータ | 型 | 必須 | 説明 |
| --- | --- | --- | --- |
| `errors` | array<FincodeAPIError> |  |  |

